com.jscape.inet.ftp

## Class FtpDeleteDirEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jscape.inet.ftp.FtpEvent
    - - com.jscape.inet.ftp.FtpDeleteDirEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class FtpDeleteDirEvent
      extends FtpEvent

  Fired when a directory is deleted on the remote server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtpDeleteDirEvent(java.lang.Object source, java.lang.String dir, java.lang.String path)` Creates a new FtpDeleteDirEvent instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(FtpListener listener)` Method accept
    `java.lang.String` | `getDirectory()` Gets name of directory deleted.
    `java.lang.String` | `getPath()` Gets remote directory path that this directory was deleted from
    `java.lang.String` | `toString()` Gets String representation of event.

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FtpDeleteDirEvent

          public FtpDeleteDirEvent(java.lang.Object source,
                                   java.lang.String dir,
                                   java.lang.String path)

      Creates a new FtpDeleteDirEvent instance
      Parameters:
        `source` - the event source
        `dir` - the directory deleted
        `path` - the remote directory path that this directory was deleted from

  - ### Method Detail

    - #### accept

          public void accept(FtpListener listener)

      Method accept
      Specified by:
        `accept` in class `FtpEvent`
      See Also:
        `FtpEvent.accept(FtpListener)`

    - #### getPath

          public java.lang.String getPath()

      Gets remote directory path that this directory was deleted from
      Returns:
        remote directory path

    - #### getDirectory

          public java.lang.String getDirectory()

      Gets name of directory deleted.
      Returns:
        directory name

    - #### toString

          public java.lang.String toString()

      Gets String representation of event.
      Overrides:
        `toString` in class `java.util.EventObject`
      Returns:
        event message

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved